$fonts: (
                (Black, 900, normal),
                (BlackItalic, 900, italic),

                (ExtraBold, 800, normal),
                (ExtraBoldItalic, 800, italic),

                (Bold, 700, normal),
                (BoldItalic, 700, italic),

                (SemiBold, 600, normal),
                (SemiBoldItalic, 600, italic),

                (Medium, 500, normal),
                (MediumItalic, 500, italic),

                (Regular, 400, normal),
                (Italic, 400, italic),

                (Light, 300, normal),
                (LightItalic, 300, italic),

                (ExtraLight, 200, normal),
                (ExtraLightItalic, 200, italic),

                (Thin, 100, normal),
                (ThinItalic, 100, italic),
);

@each $type, $family in (
                (Montserrat, Montserrat),
                (MontserratAlternates, Montserrat Alternates),
) {

  $path: "#{$fontAdditionalPath}/montserrat/#{$type}-";

  @each $name, $weight, $style in $fonts {
    @font-face {
      font-family: $family;
      font-weight: $weight;
      font-style: $style;
      src: url("#{$path}#{$name}.eot");
      src:
              local("Montserrat"),
              url("#{$path}#{$name}.eot") format('embedded-opentype'),
              url("#{$path}#{$name}.woff2") format('woff2'),
              url("#{$path}#{$name}.woff") format('woff'),
              url("#{$path}#{$name}.ttf") format('truetype');
    }
  }
}